# Default values for app.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  repository: psmohammedabdulhadi/dockerpractice
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  tag: 230815-0ce0eec8


nameOverride: ""
fullnameOverride: ""

service:
  type: NodePort
  port: 8081


app:
  port: 8090

ingress:
  enabled: "true"
  className: "nginx"
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: myapp.local
      paths:
        - path: /
          pathType: Prefix
  tls: 
    - secretName: "ingress-tls"
      hosts: 
        - myapp.local

localBranch: 

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi



nodeSelector: {}


